Summary: Alternate posix capabilities library
Name: libcap-ng
Version: 0.8.3
Release: 7%{?dist}
License: LGPLv2+
URL: https://people.redhat.com/sgrubb/libcap-ng/
Source0: https://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.gz

BuildRequires: gcc, make
BuildRequires: kernel-headers >= 2.6.11, libattr-devel

%description
The libcap-ng library is intended to make programming with posix
capabilities much easier than the traditional libcap library. It
includes utilities that can analyse all currently running applications
and print out any capabilities and whether or not it has an open
ended bounding set. An open bounding set without the securebits
"NOROOT" flag will allow full capabilities escalation for apps
retaining uid 0 simply by calling execve.

%package utils
Summary: Utilities for analyzing and setting file capabilities
Requires: %{name} = %{version}-%{release}

%description utils
This package provides applications to analyze the posix capabilities
of all the program running on a system.

%package devel
Summary: Header files for libcap-ng library
Requires: kernel-headers >= 2.6.11
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides library and header files for applications
using the libcap-ng library.

%package python3
Summary: Python3 bindings for libcap-ng library
BuildRequires: python3-devel, swig, make
Requires: %{name} = %{version}-%{release}

%description python3
This package provides python3 bindings for applications using libcap-ng.

%prep
%setup -q

%build
%configure --libdir=%{_libdir} --with-python=no --with-python3 --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete -print

%check
make check

%files
%license COPYING COPYING.LIB
%{_libdir}/libcap-ng.so.*
%{_libdir}/libdrop_ambient.so.*
%attr(0644,root,root) %{_mandir}/man7/*

%files utils
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man8/*

%files devel
%{_libdir}/libcap-ng.so
%{_libdir}/libdrop_ambient.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(0644,root,root) %{_mandir}/man3/*

%files python3
%attr(755,root,root) %{python3_sitearch}/*
%{python3_sitearch}/capng.py*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 cunshunxia <cunshunxia@tencent.com> - 0.8.3-1
- initial build
